
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android下拉刷新SwipeRefreshLayout控件使用方法 / iVAN</title>

    <meta name="description" content="Android下拉刷新SwipeRefreshLayout控件使用方法 我们知道现在的material design十分的流行,而SwipeRefreshLayout 就是原生的一个效果(也是Facebook下拉刷新效果)SwipeRefreshLayout 是一个下拉刷新控件,几乎可以包裹一个任何可以滚动的内容(ListView GridView ScrollView RecyclerView),可以自动识别垂直滚动手势.使用起来非常方便. 他强大到可以有很多个子view来继承,进而可以实现不同效果(博主未研究) 话不多说先来看图 看到上面那个绿色的小圆圈没?就是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android下拉刷新SwipeRefreshLayout控件使用方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们知道现在的material design十分的流行，而SwipeRefreshLayout 就是原生的一个效果（也是Facebook下拉刷新效果）SwipeRefreshLayout 是一个下拉刷新控件，几乎可以包裹一个任何可以滚动的内容（ListView GridView ScrollView RecyclerView），可以自动识别垂直滚动手势。使用起来非常方便。</p>
<p>他强大到可以有很多个子view来继承，进而可以实现不同效果(博主未研究)</p>
<p>话不多说先来看图</p>
<p>看到上面那个绿色的小圆圈没？就是这种Facebook式的下拉刷新！</p>
<p>代码实现：</p>
<p>1.在布局文件中添加</p>
<p>&lt;android.support.v4.widget.SwipeRefreshLayout android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot;&gt; &lt;android.support.v7.widget.RecyclerView android:id=&quot;@+id/recyclerView&quot; android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;match_parent&quot;/&gt; &lt;/android.support.v4.widget.SwipeRefreshLayout&gt;<br />
<br />2.在java文件中引用：</p>
<p>private SwipeRefreshLayout mSwipeRefreshLayout;//先声明，你懂的 mSwipeRefreshLayout = (SwipeRefreshLayout) findViewById(R.id.recyclerView); mSwipeRefreshLayout.setSize(SwipeRefreshLayout.LARGE); //自定义加载的圆形背景颜色，下拉的圆圈背景颜色 // mSwipeRefreshLayout.setProgressBackgroundColorSchemeResource(R.color.gray); //自定义加载的圆条颜色，转动的圆条颜色 mSwipeRefreshLayout.setColorSchemeResources(R.color.title_blue, R.color.green, R.color.orange); mSwipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() { @Override public void onRefresh() { mHandler.postDelayed(new Runnable() { @Override public void run() { //在这里编写手势下拉刷新的监听，也就是一下拉就进行这里 } }, 2500); //正常情况下是在加载完成后回调，这里简单模拟延时 Toast.makeText(MainActivity.this, &quot;正在刷新&quot;, Toast.LENGTH_SHORT).show(); new Handler().postDelayed(new Runnable() { @Override public void run() { Toast.makeText(MainActivity.this, &quot;刷新完成&quot;, Toast.LENGTH_SHORT).show(); mSwipeRefreshLayout.setRefreshing(false); } }, 3000);//3000指延时6s } });<br />
<br />对SwipeRefreshLayout 的一些附加说明</p>
<p>1.通过 setRefreshing(false) 和 setRefreshing(true) 来手动调用刷新的动画。</p>
<p>2.onRefresh 的回调只有在手势下拉的情况下才会触发，通过 setRefreshing 只能调用刷新的动画是否显示。 SwipeRefreshLayout 也可放在 CoordinatorLayout 内共同处理滑动冲突，有兴趣可以尝试。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持脚本之家。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 01:53:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%8b%89%e5%88%b7%e6%96%b0/" title="下拉刷新">下拉刷新</a>, <a href="https://www.iamivan.net/tag/swiperefreshlayout/" title="swiperefreshlayout">swiperefreshlayout</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android下拉刷新SwipeRefreshLayout控件使用方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYrJ6b.html" rel="bookmark">Android下拉刷新控件PullToRefresh实例解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android中很多时候都会用到上下拉刷新,这是一个很常用的功能,Android的v4包中也为我们提供了一种原生的下拉刷新控件--SwipeRefreshLayout,可以用它实现一个简洁的刷新效果,但今天我们的主角并不是它,而是一个很火的第三方的上下拉刷新控件--PullToRefresh.PullToRefresh包括PullToRefreshScrollView.PullToRefreshListView.PullToRefreshGridView等等很多为我们提供的控件,我们可以在xml			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKg9kz.html" rel="bookmark">Android下拉刷新上拉加载控件&lpar;适用于所有View）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     前面写过一篇关于下拉刷新控件的文章下拉刷新控件终结者:PullToRefreshLayout,后来看到好多人还有上拉加载更多的需求,于是就在前面下拉刷新控件的基础上进行了改进,加了上拉加载的功能.不仅如此,我已经把它改成了对所有View都通用!可以随心所欲使用这两个功能~~     我做了一个大集合的demo,实现了ListView.GridView.ExpandableListView.ScrollView.WebView.ImageView.TextView的下拉刷新和上拉加载.后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Ml0EoNM.html" rel="bookmark">Android下拉刷新上拉加载控件&lpar;适用于所有View）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面写过一篇关于下拉刷新控件的文章下拉刷新控件终结者:PullToRefreshLayout,后来看到好多人还有上拉加载更多的需求,于是就在前面下拉刷新控件的基础上进行了改进,加了上拉加载的功能.不仅如此,我已经把它改成了对所有View都通用!可以随心所欲使用这两个功能~~ 我做了一个大集合的demo,实现了ListView.GridView.ExpandableListView.ScrollView.WebView.ImageView.TextView的下拉刷新和上拉加载.后面会提供demo的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8GdD3M.html" rel="bookmark">android控件-为什么运行时，Spinner控件无法进行下拉选择，控件上也没有三角符？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么运行时,Spinner控件无法进行下拉选择,控件上也没有三角符? 列表高度&quot;&gt; 解决方案 http://vcsos.com/Article/pageSource/140804/20140804120721.shtml 解决方案二: android--Spinner(菜单下拉控件) 解决方案三: 新建一个工程,重新写了一遍就好了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVN7mYz.html" rel="bookmark">Android 下拉刷新框架实现、仿新浪微博、QQ好友动态滑到底部自动加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				苦苦找寻的2个版本,经过测试好用.再次感谢原作者! 1.第一个版本 Android 下拉刷新框架实现 http://blog.csdn.net/leehong2005/article/details/12567757 前段时间项目中用到了下拉刷新功能,之前在网上也找到过类似的demo,但这些demo的质量参差不齐,用户体验也不好,接口设计也不行.最张没办法,终于忍不了了,自己就写了一个下拉刷新的框架,这个框架是一个通用的框架,效果和设计感觉都还不错,现在分享给各位看官. 1. 关于下拉刷新 下拉			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWrGOz.html" rel="bookmark">Android下拉刷新框架实现代码实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间项目中用到了下拉刷新功能,之前在网上也找到过类似的demo,但这些demo的质量参差不齐,用户体验也不好,接口设计也不行.最张没办法,终于忍不了了,自己就写了一个下拉刷新的框架,这个框架是一个通用的框架,效果和设计感觉都还不错,现在分享给各位看官. 一. 关于下拉刷新 下拉刷新这种用户交互最早由twitter创始人洛伦•布里切特(Loren Brichter)发明,有理论认为,下拉刷新是一种适用于按照从新到旧的时间顺序排列feeds的应用,在这种应用场景中看完旧的内容时,用户会很自然地下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlEVpx.html" rel="bookmark">布局-android 下拉刷新的实现类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 下拉刷新的实现类 求下拉刷新的实现(刷新的主体不单单是listview一种的,而是包含了图片,listvew等组合在一起的),怎么实现啊,求源码 解决方案 需求:项目中的消息列表界面要求实现类似sina微博的下拉刷新:思路:一般的消息列表为ListView类型,将list加载到adapter中,再将adapter加载到ListView中,从而实现消息列表的展示.而下拉刷新要求给消息列表加一个头部,其中有图片(向上/向下箭头)和提示字样(下拉刷新/松开刷新),从而我们需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7PY5b.html" rel="bookmark">div模拟下拉菜单select控件模块 css实现表单select美化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     div css模拟实现form表单下拉select控件美化与功能实现.可以实现模拟的select表单下拉提交数据传值功能     使用方法与调用方式:$.divselect(&quot;#divselect&quot;,&quot;#inputselect&quot;); &quot;#divselect&quot; 这是哪个模拟列表的盒子的ID,&quot;#inputselect&quot;这个是选择以后给 id=&quot;inputselect&quot; 的input隐藏域赋值的哦.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZq6Ab.html" rel="bookmark">android 下拉刷新的时候正在刷新不出来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 下拉刷新的时候正在刷新不出来 android 下拉刷新的时候正在刷新不出来是怎么回事,到松手刷新的时候直接回到原始状态,不会出现正在刷新的字样 解决方案 http://download.csdn.net/detail/hyundaihs/8504837用这个吧 解决方案二: http://download.csdn.net/detail/hyundaihs/8504837用这个吧 解决方案三: 找到原因了,是因为在刷新的过程中几个状态没有判断好,还有就是运用到访问数据的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2myQz.html" rel="bookmark" class="title">网站应该如何突破流量瓶颈</a>
					<div>
						我们每一个网站当关键词排名上去以后,网站的流量就相对维持在一个水平,有时候这些流量可能会比我们当初做网站的时候预期的流量会差一些,这时候我们即使我们做一些常规的优化手段我们的流量还是处于一个状态,流量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBQrdz.html" rel="bookmark" class="title">本地门户&comma;趋势潮流</a>
					<div>
						先给在做网站的女性站长和天下全部的女性道一声节日好. 昨天晚上10点钟,受易乐网的CEO 萧寒邀请,出去蹭顿火锅吃.觥畴交错之间,小寒同学谈到了最近的地方门户运做苦恼,之前他已经有一个较为成功的红叶博 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Qr1b.html" rel="bookmark" class="title">光影魔术手使用教程</a>
					<div>
						数码菜鸟的&quot;魔戒&quot;---光影魔术手 光影魔术手相对于PhotoShop等专业图像软件而言,显得十分小巧易用,大部分功能都是针对数码照片的后期处理的,很有特色.近日,笔者在网上发现光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwljNEb.html" rel="bookmark" class="title">在Java中使用DOM和XPath进行有效的XML处理</a>
					<div>
						文档对象模型(Document Object Model,DOM)是公认的 W3C 标准,它被用于与平台及 语言无关的 XML 文档内容.结构和样式的动态访问和更新.它为表示文档定义了一套标准的 接口 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd752xM.html" rel="bookmark" class="title">手机wps如何设置和打印ppt演示文稿</a>
					<div>
						  在手机wps设置和打印ppt演示文稿的方法: 首先打开WPS 点击一个演搞打开 点击&quot;工具&quot; 点击&quot;文件&quot;下的&quot;打印&quot; 点击&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKrG8M.html" rel="bookmark" class="title">Dreamweaver插入Flash动画的基本方法</a>
					<div>
						  1.启动Dreamweaver 1)点击&quot;开始-所有程序-Macromedia-Macromedia Dreamweaver 8&quot;,; 2)在中间的&quot;创建新项目&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNw8qb.html" rel="bookmark" class="title">Excel表格排序的三种实用方法</a>
					<div>
						步骤/方法 一.数值排序 1.RANK函数 RANK函数是Excel计算序数的主要工具,它的语法为:RANK(number,ref,order),其中number为参与计算的数字或含有数字的单元格,r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBlk4b.html" rel="bookmark" class="title">在Word2007中快速生成指定段落数量的文字</a>
					<div>
						本文我们介绍一个小技巧--在Word2007中快速生成指定段落数量的文字.大家可以用这个方法来快速生成指定段落和句子的文字,进行Word功能测试.学习等. 在Word的编辑界面中输入&quot;=ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRymGGb.html" rel="bookmark" class="title">常见的硬盘自检失败分析</a>
					<div>
						一般硬盘自检失败,如果不是主引导模块或DOS引导模块被破坏(如被病毒感染),那么其他症状基本上是由外部硬件所引起的.软件方面可用杀毒软件查杀引导区病毒,或用NORTON.DEBUG等修复(比较麻烦), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBnyLb.html" rel="bookmark" class="title">Python合并多个装饰器小技巧</a>
					<div>
						  这篇文章主要介绍了Python合并多个装饰器小技巧,本文用改写调用函数的方式实现把多个装饰器合并成一行.一个函数来调用,需要的朋友可以参考下 django程序,需要写很多api,每个函数都需要几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7nmOM.html" rel="bookmark" class="title">javascript生成随机大小写字母的方法</a>
					<div>
						 这篇文章主要介绍了javascript生成随机大小写字母的方法,需要的朋友可以参考下  代码如下: /**  * 返回一个随机的小写字母  */  function getLowerCharacte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAryVJp.html" rel="bookmark" class="title">制作Win7&sol;Win8&period;1安装U盘，如何保留原有数据？</a>
					<div>
						  如何U盘安装Win8.1系统?对于普通用户来说,这已不是件难事,例如软媒U盘启动大师,可以轻松帮你识别MSDN原版系统和刻录U盘,但美中不足的是,每次都是全盘格式化,无法保留U盘原有的数据. 对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywOeZz.html" rel="bookmark" class="title">U盘复制文件时电脑会重启怎么办</a>
					<div>
						  用U盘复制文件的时候电脑总是重启,但是U盘拔掉之后就不会了,用杀毒软件也没用,重做系统也没用,到底是哪里出了问题呢? 其实这样问题并不多见,不过首先要百分之百确认U盘里没有病毒或者木马,一个杀毒软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwOJBb.html" rel="bookmark" class="title">回收站变为英文状态的解决方法</a>
					<div>
						回收站英文怎么说?也有网友咨询小编电脑桌面上的回收站在安装诺顿电脑大师软件之后就改成&quot;Norton Protected Recycle Bin&quot;的英文名字,出现这个现象该怎么把回收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E56VM.html" rel="bookmark" class="title">利用文件锁进行文件写入和网站访问并发控制</a>
					<div>
						并发下日志写入方案 $fp = fopen(APP_PATH.&quot;/Lib/Pay/pay_log/test_log.txt&quot;,&quot;a+&quot;); if(flock($ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmm3Lz.html" rel="bookmark" class="title">javascript-搞不懂这个 JS网页效果</a>
					<div>
						问题描述 搞不懂这个 JS网页效果 http://timvandamme.com/#networks 想知道这个鼠标点到上边元素发生位移的效果是怎么做出来的啊? 有人能给一段代码看看么? 解决方案 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQLvYp.html" rel="bookmark" class="title">亲们求教一个关于表空间的问题</a>
					<div>
						问题描述 亲们求教一个关于表空间的问题 亲们,在恢复表空间的之后,为什么表空间是处于回滚暂挂的状态,应该如何处理?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPWJDp.html" rel="bookmark" class="title">jQuery插件之ajaxFileUpload</a>
					<div>
						ajaxFileUpload是一个异步上传文件的jQuery插件. 语法:$.ajaxFileUpload([options]) options参数说明: 1.url   上传处理程序地址. 2,fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo4Jyb.html" rel="bookmark" class="title">简单工厂模式－－加减乘除运算</a>
					<div>
						下面基于简单的&lt;加减乘除运算&gt;实例来讲讲实用简单工厂模式:&lt;备注:以后根据认识的加深,可以添加和修改内容&gt; 需求分析:希望程序提供&quot;加减乘除&quot;四种功能. 功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6lKNb.html" rel="bookmark" class="title">Android 真的悲剧了？ 将与Chrome OS融为一体</a>
					<div>
						Google 为移动业务制订的顶级战略终于伴随高层的更替缓缓揭开. 近日,Google 宣布了数位高层管理人员的职位变动事项.自2004年就已在负责 Android 业务的 Andy Rubin 将不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRmONb.html" rel="bookmark" class="title">谷歌&OpenCurlyDoubleQuote;Bug悬赏计划&rdquo;去年颁发200万美元奖金</a>
					<div>
						1月31日消息,据国外科技媒体The Tech Portal的报道,&quot;Bug悬赏计划&quot;正日益流行起来,越来越多的公司选择采用这一方式来排除自己的安全隐患.而已执行此项计划五年的Go ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4mm9z.html" rel="bookmark" class="title">用SendMessage发送组合键不成功。</a>
					<div>
						问题描述 在本版面也搜索过了,摸索了不少时间,很多人都说不成功,但是没有说为啥没有成功.我用SPY研究了一下当我用手输入ctrl+O的时候,spy里面的记录信息是&lt;00002&gt;000401 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBRElb.html" rel="bookmark" class="title">云计算的五大进展：云操作系统是里程碑</a>
					<div>
						本文讲的是云计算的五大进展:云操作系统是里程碑,[IT168 资讯]有关云计算的新闻已经铺天盖地的占领了各大媒体的头条.在这个新兴的市场中,每天都有各种各样的新闻产生,那么其中哪些进展是真正重要的呢? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnOOJM.html" rel="bookmark" class="title">对沃尔玛的经营进行总结</a>
					<div>
						美国和全球第一大零售商沃尔玛2001年业绩喜人,非常有可能超过美国石油巨擘埃克森石油公司,荣登世界第一大公司的宝座(500强第一).据法新社报道,拥有45年历史的沃尔玛如今在全球拥有4150家连锁店, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mQap.html" rel="bookmark" class="title">sql server中批量插入与更新两种解决方案分享&lpar;存储过程&rpar;&lowbar;MsSql</a>
					<div>
						1.游标方式 复制代码 代码如下: DECLARE @Data NVARCHAR(max) SET @Data='1,tanw,2,keenboy' --Id,Name DECLARE @dataIt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnDR1M.html" rel="bookmark" class="title">《第一本Docker书（修订版）》&mdash;&mdash;2&period;11　Docker用户界面</a>
					<div>
						2.11 Docker用户界面 Docker安装之后,也可以用图形用户界面来进行管理.目前,有一些正在开发中的Docker用户界面和Web控制台,它们都处于不同的开发阶段,具体如下. Shipyard ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xqVdb.html" rel="bookmark" class="title">chrome-Kail2中安装Chrome完成之后打不开</a>
					<div>
						问题描述 Kail2中安装Chrome完成之后打不开 已经update到最新的版本,安装完成之后会有一个Chrome的图标, 但是点击完全没有反应. 有过这种情况的童鞋麻烦指点一下 解决方案 http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwa31M.html" rel="bookmark" class="title">关于R的一些疑问commandArgs</a>
					<div>
						问题描述 关于R的一些疑问commandArgs 初学R,想知道,R一开始的这段代码是什么意思?有什么用呢? arg &lt;- commandArgs(T) if(length(arg) != 2) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnaDKM.html" rel="bookmark" class="title">《AutoCAD 2014中文版实用教程》一一1&period;1 操作界面</a>
					<div>
						1.1 操作界面 AutoCAD 2014中文版实用教程 启动AutoCAD 2014后出现的默认界面是自AutoCAD 2009以后出现的新界面风格,为了便于使用过AutoCAD 2014及以前版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW4ykz.html" rel="bookmark" class="title">Web2&period;0不等于互联网泡沫 有四大差别</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 导语:北京时间6月4日,&lt;商业周刊&gt;网站近日发表分析文章称,随着Web2.0引发的热潮愈演愈烈,很多业内人士开始将其同上世纪90年代末的互联 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
